package com.water.watersys.components;


import lombok.Getter;

@Getter
public enum ResultCodeEnum {
    SUCCESS(200, "操作成功"),
    CREATE_SUCCESS(201, "创建成功"),
    REMOVE_SUCCESS(204, "删除成功"),
    REMOVE_FAIL(403, "删除失败"),
    FAIL(400, "操作失败"),
    VERIFICATION_FAIL(401, "验证失败"),
    CREATE_FAIL(402, "创建失败"),
    NOT_FOUND(404, "资源不存在"),
    ERROR(500, "服务器错误");
    

    private final Integer code;
    private final String msg;

    ResultCodeEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}