package com.water.watersys.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.water.watersys.model.domain.RoleSys;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
* @author mac
* @description 针对表【role_sys】的数据库操作Mapper
* @createDate 2025-04-13 10:57:50
* @Entity generator.domain.RoleSys
*/
@Mapper
public interface RoleSysMapper extends BaseMapper<RoleSys> {

    @Select("select b.id, b.role_name,b.create_time,b.update_time from user_role_sys a left join role_sys b on a.role_id = b.id where a.user_id = #{loginId}")
    List<RoleSys> getRoleList(Object loginId);
}




