package com.water.watersys.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class RouteOv {
    /**
     *
     */
    private Integer id;

    /**
     * 子组件id
     */
    private Integer parentid;

    /**
     * 路由路径
     */
    private String path;

    /**
     * 路由名称
     */
    private String name;

    /**
     * 重定向
     */
    private String redirect;

    /**
     * 路由组件
     */
    private String component;

    /**
     * 路由源信息
     */
    private Object meta;

    /**
     * 创建时间
     */
    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private List<RouteOv> children;

}
