package com.water.watersys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.water.watersys.model.domain.RouteSys;
import com.water.watersys.model.vo.RouteOv;

import java.util.List;

/**
* @author mac
* @description 针对表【route_sys(路由表)】的数据库操作Service
* @createDate 2025-04-13 14:43:46
*/

public interface RouteSysService extends IService<RouteSys> {

    List<RouteOv> getRoute(Integer loginId);

    List<RouteOv> getRouteChildren(Integer id);
}
