package com.water.watersys.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.water.watersys.mapper.RoleSysMapper;
import com.water.watersys.model.domain.RoleSys;
import com.water.watersys.model.domain.UserSys;
import com.water.watersys.service.RoleSysService;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author mac
* @description 针对表【role_sys】的数据库操作Service实现
* @createDate 2025-04-13 10:57:50
*/
@Service
public class RoleSysServiceImpl extends ServiceImpl<RoleSysMapper, RoleSys>
    implements RoleSysService {
    @Resource
    private RoleSysMapper roleSysMapper;

    @Override
    public List<RoleSys> getRole(Object loginId) {
        return roleSysMapper.getRoleList(loginId);
    }

}




