package com.water.watersys.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.water.watersys.model.domain.RoleSys;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class UserOv {
    private Integer id;
    private String username;
    private String phone;
    private String address;
    private Integer status;
    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;
    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;
    private List<RoleSys> role;
}
