package com.water.watersys.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.water.watersys.mapper.RouteSysMapper;
import com.water.watersys.model.domain.RouteSys;
import com.water.watersys.model.vo.RouteOv;
import com.water.watersys.service.RouteSysService;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author mac
* @description 针对表【route_sys(路由表)】的数据库操作Service实现
* @createDate 2025-04-13 14:43:46
*/
@Service
public class RouteSysServiceImpl extends ServiceImpl<RouteSysMapper, RouteSys>
    implements RouteSysService {

    @Resource
    private RouteSysMapper routeSysMapper;

    @Override
    public List<RouteOv> getRoute(Integer loginId) {
        return routeSysMapper.getRoute(loginId);
    }

    @Override
    public List<RouteOv> getRouteChildren(Integer id) {
        return routeSysMapper.getRouteChildren(id);
    }
}




